zenilib: __DRItexBufferExtensionRec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
__DRItexBufferExtensionRec Struct Reference

`#include <dri_interface.h>`

## Public Attributes

__DRIextension | base
void(* | releaseTexBuffer )(__DRIcontext *pDRICtx, GLint target, __DRIdrawable *pDraw)
void(* | setTexBuffer )(__DRIcontext *pDRICtx, GLint target, __DRIdrawable *pDraw)
void(* | setTexBuffer2 )(__DRIcontext *pDRICtx, GLint target, GLint format, __DRIdrawable *pDraw)

## Detailed Description

Definition at line 230 of file dri_interface.h.

## Member Data Documentation

__DRIextension __DRItexBufferExtensionRec::base

Definition at line 231 of file dri_interface.h.

void(* __DRItexBufferExtensionRec::releaseTexBuffer)(__DRIcontext *pDRICtx, GLint target, __DRIdrawable *pDraw)

Method to release texture buffer in case some special platform need this.

For GLX_EXT_texture_from_pixmap with AIGLX.

Definition at line 260 of file dri_interface.h.

void(* __DRItexBufferExtensionRec::setTexBuffer)(__DRIcontext *pDRICtx, GLint target, __DRIdrawable *pDraw)

Method to override base texture image with the contents of a __DRIdrawable.

For GLX_EXT_texture_from_pixmap with AIGLX. Deprecated in favor of setTexBuffer2 in version 2 of this interface

Definition at line 240 of file dri_interface.h.

void(* __DRItexBufferExtensionRec::setTexBuffer2)(__DRIcontext *pDRICtx, GLint target, GLint format, __DRIdrawable *pDraw)

Method to override base texture image with the contents of a __DRIdrawable, including the required texture format attribute.

For GLX_EXT_texture_from_pixmap with AIGLX.

Definition at line 250 of file dri_interface.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/GL/internal/dri_interface.h